com.opensymphony.xwork2.util.finder

## Class ClassFinder.ClassInfo

- java.lang.Object
- - com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable
  - - com.opensymphony.xwork2.util.finder.ClassFinder.ClassInfo

- All Implemented Interfaces:
    ClassFinder.Info
  Enclosing interface:
    ClassFinder

      public static class ClassFinder.ClassInfo
      extends ClassFinder.Annotatable
      implements ClassFinder.Info

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassFinder.ClassInfo(Class clazz, ClassFinder classFinder)`
    `ClassFinder.ClassInfo(String name, String superType, ClassFinder classFinder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `get()`
    `List<ClassFinder.MethodInfo>` | `getConstructors()`
    `List<ClassFinder.FieldInfo>` | `getFields()`
    `List<String>` | `getInterfaces()`
    `List<ClassFinder.MethodInfo>` | `getMethods()`
    `String` | `getName()`
    `String` | `getPackageName()`
    `List<String>` | `getSuperInterfaces()`
    `String` | `getSuperType()`
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.finder.ClassFinder.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.util.finder.ClassFinder.Info

      `getAnnotations`

- - ### Constructor Detail

    - #### ClassFinder.ClassInfo

          public ClassFinder.ClassInfo(Class clazz,
                               ClassFinder classFinder)

    - #### ClassFinder.ClassInfo

          public ClassFinder.ClassInfo(String name,
                               String superType,
                               ClassFinder classFinder)

  - ### Method Detail

    - #### getPackageName

          public String getPackageName()

    - #### getConstructors

          public List<ClassFinder.MethodInfo> getConstructors()

    - #### getInterfaces

          public List<String> getInterfaces()

    - #### getSuperInterfaces

          public List<String> getSuperInterfaces()

    - #### getFields

          public List<ClassFinder.FieldInfo> getFields()

    - #### getMethods

          public List<ClassFinder.MethodInfo> getMethods()

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ClassFinder.Info`

    - #### getSuperType

          public String getSuperType()

    - #### get

          public Class get()
                    throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2020 Apache Software Foundation. All rights reserved.